org.eclipse.eef.ide.ui.internal.resource

## Class FileProvider

- java.lang.Object
- - org.eclipse.eef.ide.ui.internal.resource.FileProvider

    public class FileProvider
    extends java.lang.Object

To find a file in the workspace or in the plugins.

### Constructor Summary

Constructors
Constructor and Description
`FileProvider()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FileProvider` `getDefault()` Gets the sole instance.
`java.util.Optional<java.io.File>` `getFile(org.eclipse.core.runtime.IPath fullPath)` Gets the file for the given full path in the workspace or in the plugins.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileProvider

    public FileProvider()

### Method Detail

#### getDefault

    public static FileProvider getDefault()

Gets the sole instance.

Returns:
  the sole instance

#### getFile

    public java.util.Optional<java.io.File> getFile(org.eclipse.core.runtime.IPath fullPath)

Gets the file for the given full path in the workspace or in the plugins.

Parameters:
  `fullPath` - is the full path of the file
Returns:
  An optional containing the file found or an empty optional if none found